﻿using Syncfusion.UI.Xaml.Utility;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls.Primitives;

namespace SfDataGridDemo
{
    public class ViewModel: NotificationObject
    {       
        ObservableCollection<Model> orderCollection;
        public ObservableCollection<Model> OrderInfoCollection
        {
            get { return orderCollection; }
            set { orderCollection = value; }
        }
        public ViewModel()
        {
            orderCollection = new ObservableCollection<Model>();
            this.GenerateOrders();
        }
        private void GenerateOrders()
        {
            orderCollection.Add(new Model(1001, "Maria Anders", "Germany", "ALFKI", "Berlin", string.Empty) { IsIgnored = true, IsInDelivery = false });
            orderCollection.Add(new Model(1002, "Ana Trujilo", "Mexico", "ANATR", "México D.F.", string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1003, "Antonio Moreno", "Mexico", "ANTON", "México D.F.", string.Empty) { IsIgnored = false, IsInDelivery = true });
            orderCollection.Add(new Model(1004, "Thomas Hardy", "UK", "AROUT", "London", string.Empty) { IsIgnored = false, IsInDelivery = true });
            orderCollection.Add(new Model(1005, "Christina Berglund", "Sweden", "BERGS", "Luleå", string.Empty) { IsIgnored = true, IsInDelivery = false });
            orderCollection.Add(new Model(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim",string.Empty) { IsIgnored = true, IsInDelivery = false });
            orderCollection.Add(new Model(1007, "Frédérique Citeaux", "France", "BLONP", "Strasbourg",string.Empty) { IsIgnored = false, IsInDelivery = true });
            orderCollection.Add(new Model(1008, "Martin Sommer", "Spain", "BOLID", "Madrid",string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1009, "Laurence Lebihan", "France", "BONAP", "Marseille",string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1010, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen",string.Empty) { IsIgnored = false, IsInDelivery = true });
            orderCollection.Add(new Model(1011, "Martin Sommer", "Spain", "BOLID", "Madrid",string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1012, "Laurence Lebihan", "France", "BONAP", "Marseille",string.Empty) { IsIgnored = true, IsInDelivery = false });
            orderCollection.Add(new Model(1013, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen",string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1014, "Martin Sommer", "Spain", "BOLID", "Madrid",string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1015, "Laurence Lebihan", "France", "BONAP", "Marseille",string.Empty) { IsIgnored = false, IsInDelivery = true });
            orderCollection.Add(new Model(1016, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen",string.Empty) { IsIgnored = false, IsInDelivery = true });
            orderCollection.Add(new Model(1017, "Martin Sommer", "Spain", "BOLID", "Madrid",string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1018, "Laurence Lebihan", "France", "BONAP", "Marseille",string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1019, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen",string.Empty) { IsIgnored = true, IsInDelivery = false });
            orderCollection.Add(new Model(1020, "Martin Sommer", "Spain", "BOLID", "Madrid",string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1021, "Laurence Lebihan", "France", "BONAP", "Marseille",string.Empty) { IsIgnored = true, IsInDelivery = false });
            orderCollection.Add(new Model(1022, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen",string.Empty) { IsIgnored = false, IsInDelivery = true });
            orderCollection.Add(new Model(1023, "Martin Sommer", "Spain", "BOLID", "Madrid",string.Empty) { IsIgnored = false, IsInDelivery = false });
            orderCollection.Add(new Model(1024, "Laurence Lebihan", "France", "BONAP", "Marseille",string.Empty) { IsIgnored = false, IsInDelivery = true });
            orderCollection.Add(new Model(1025, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen",string.Empty) { IsIgnored = false, IsInDelivery = false });
        }
    }
}
